# Business checks events

Notifies subscribers of business check lifecycle events.
Triggered when a check is created, passed, or failed for a business.
See the Creating a corporate business account guide ([TOL](https://docs.upvest.co/products/tol/guides/accounts/businesses_implementing_corporate) / [BYOL](https://docs.upvest.co/products/byol/guides/accounts/businesses_implementing_corporate)) for the KYB check process.

Endpoint: POST Business checks events
Version: 1.151.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type.
* BUSINESS_CHECK.CREATED — a check has been created for the business.
* BUSINESS_CHECK.PASSED — the check has passed.
* BUSINESS_CHECK.FAILED — the check has failed.
    Enum: "BUSINESS_CHECK.CREATED", "BUSINESS_CHECK.PASSED", "BUSINESS_CHECK.FAILED"

  - `object` (any, required)
    A check conducted for a business, either a KYB check or a self-assessment.

  - `object.id` (string, required)
    Business Check unique identifier.

  - `object.business_id` (string, required)
    Unique identifier for the business.

  - `object.type` (string, required)
    The type of check must be “KYB”.

  - `object.originally_confirmed_at` (string, required)
    The date and time when the check was first confirmed. When the check has only been confirmed once, this value is the same as check_confirmed_at. When renewing KYB check, this value remains the same as when the check was first confirmed.

  - `object.check_confirmed_at` (string, required)
    The date and time when the check was latest confirmed

  - `object.status` (string, required)
    Final status of the business check.
* IN_PROGRESS - Check is in progress
* PASSED - Check passed
* FAILED - Check failed
    Enum: "IN_PROGRESS", "PASSED", "FAILED"

  - `object.data_download_link` (string, required)
    Link to download the document bundle submitted for the KYB check

  - `object.document_type` (string, required)
    Type of the document bundle. Always `KYB_DOCUMENTS`

  - `object.type` (string, required)
    The type of check must be "BUSINESS_SELF_ASSESSMENT".

  - `object.check_confirmed_at` (string, required)
    The date and time when the self assessment check was confirmed.

  - `object.business_industry` (string, required)
    The business industry classification.
    Enum: "ACCOMMODATION_AND_HOSPITALITY", "ACCOMMODATION_AND_HOSPITALITY_TIMESHARING", "ADMIN_AND_SUPPORT_SERVICES", "ADMIN_AND_SUPPORT_SERVICES_CLEANING_AND_FACILITIES", "ADMIN_AND_SUPPORT_SERVICES_SECURITY_AND_INVESTIGATION", "ADMIN_AND_SUPPORT_SERVICES_SPECIFIC_SECTORS", "AGRICULTURE_FORESTRY_AND_FISHING", "CONSTRUCTION", "EDUCATION", "EDUCATION_HIGHER_EDUCATION", "ENTERTAINMENT_ARTS_AND_RECREATION", "ENTERTAINMENT_ARTS_AND_RECREATION_NATURE_AND_ZOOS", "ENTERTAINMENT_ARTS_AND_RECREATION_SPECIFIC_SECTORS", "EXTRATERRITORIAL_AND_HOUSEHOLD_ACTIVITIES", "FINANCIAL_SERVICES", "FINANCIAL_SERVICES_OTHERS_AND_INSURANCE", "FOOD_AND_BEVERAGE_SERVICES", "HEALTHCARE", "HEALTHCARE_COUNSELLING_AND_SOCIAL_SERVICES", "INFORMATION_TECHNOLOGY_AND_MEDIA", "INFORMATION_TECHNOLOGY_AND_MEDIA_ONLINE_GAMING", "INFORMATION_TECHNOLOGY_AND_MEDIA_PRINT_PUBLISHING", "INFORMATION_TECHNOLOGY_AND_MEDIA_TELECOMMUNICATIONS", "MANUFACTURING", "MANUFACTURING_PHARMACEUTICALS", "MANUFACTURING_PRECIOUS_METALS_AND_JEWELLERY", "MANUFACTURING_WEAPONS_AND_HAZARDOUS", "MINING_AND_QUARRYING", "PERSONAL_AND_OTHER_SERVICES", "PERSONAL_AND_OTHER_SERVICES_ADULT_AND_WELLNESS", "PERSONAL_AND_OTHER_SERVICES_NONPROFIT_AND_MEMBERSHIP_ORGANISATIONS", "PROFESSIONAL_AND_TECHNICAL_SERVICES", "PROFESSIONAL_AND_TECHNICAL_SERVICES_LEGAL_AND_FIDUCIARY", "PROFESSIONAL_AND_TECHNICAL_SERVICES_UNREGULATED", "PUBLIC_ADMINISTRATION", "PUBLIC_ADMINISTRATION_JUDICIAL", "REAL_ESTATE", "REAL_ESTATE_AGENCY_AND_BROKERAGE", "RETAIL_TRADE", "RETAIL_TRADE_SPECIALITY", "RETAIL_TRADE_SPECIFIC_SECTORS", "TRANSPORTATION_AND_LOGISTICS", "TRANSPORTATION_AND_LOGISTICS_CRUISE_LINES", "TRANSPORTATION_AND_LOGISTICS_RAIL_AND_STORAGE", "UTILITIES_AND_ENERGY", "WHOLESALE_TRADE", "WHOLESALE_TRADE_INDUSTRIAL", "WHOLESALE_TRADE_LUXURY_AND_COLLECTIBLES", "WHOLESALE_TRADE_PETROLEUM_AND_CHEMICALS"

  - `object.purpose_of_business_relationship` (string, required)
    The purpose of the business relationship.
    Enum: "WEALTH_GROWTH", "TREASURY_LIQUIDITY_MANAGEMENT", "HEDGING_RISK_MANAGEMENT", "EMPLOYEE_BENEFIT_FUNDING", "STRATEGIC_INVESTMENT"

  - `object.primary_countries_of_activity` (array, required)
    List of primary countries where the business operates. ISO 3166-1 alpha-2 country codes.

  - `object.annual_revenue` (object, required)
    A monetary range defined by a lower bound and an optional upper bound.

  - `object.annual_revenue.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR — Euro.
* GBP — Pound Sterling.
    Enum: "EUR", "GBP"

  - `object.annual_revenue.lower_bound` (number, required)
    The lower bound of the monetary range.

  - `object.annual_revenue.upper_bound` (number)
    The upper bound of the monetary range.

  - `object.expected_volume_of_investment` (object, required)
    A monetary range defined by a lower bound and an optional upper bound.

  - `object.expected_volume_of_investment.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR — Euro.
* GBP — Pound Sterling.
    Enum: "EUR", "GBP"

  - `object.expected_volume_of_investment.lower_bound` (number, required)
    The lower bound of the monetary range.

  - `object.expected_volume_of_investment.upper_bound` (number)
    The upper bound of the monetary range.

  - `object.total_asset_value` (object, required)
    A monetary range defined by a lower bound and an optional upper bound.

  - `object.total_asset_value.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR — Euro.
* GBP — Pound Sterling.
    Enum: "EUR", "GBP"

  - `object.total_asset_value.lower_bound` (number, required)
    The lower bound of the monetary range.

  - `object.total_asset_value.upper_bound` (number)
    The upper bound of the monetary range.

  - `webhook_id` (string, required)
    Webhook unique identifier.

## Response 200:

  - `200` (unknown)
    Request has been processed successfully.

